#pragma once

#include "ta_multiwriter.hpp"
#include "scene/scene.hpp"

namespace scene::emulator {

  enum message_id {
    counterfeit,
    cvbs,
    scart,
  };

  extern int current_message_id;

  extern const struct scene::scene scene;

  void transfer(ta_multiwriter& multi);

  void init();

  int done();
}
